Opened 7 years ago

Closed 2 years ago

#7536 closed defect (user disappeared)

Multiple warn on startup; seems to be openssl related.

Reported by: aagbsn Owned by:
Priority: Medium Milestone: Tor: unspecified
Component: Core Tor/Tor Version: Tor: 0.2.3.25
Severity: Normal Keywords: tor-relay
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Built with options --disable-asciidoc, --enable-bufferevents
libevent version 2.0.16-stable
OpenSSL 0.9.8o
Debian squeeze

Nov 20 12:36:34.703 [notice] Tor v0.2.3.25 (git-17c24b3118224d65) (with bufferevents) running on Linux.
Nov 20 12:36:34.703 [notice] Tor can't help you if you use it wrong! Learn how to be safe at https://www.torproject.org/download/download#warning
Nov 20 12:36:34.703 [notice] Read configuration file "/home/tor23/torrc".
Nov 20 12:36:34.704 [notice] Your ContactInfo config option is not set. Please consider setting it, so we can contact you if your server is misconfigured or something else goes wrong.
Nov 20 12:36:34.704 [notice] Initialized libevent version 2.0.16-stable using method epoll (with changelist). Good.
Nov 20 12:36:34.704 [notice] Opening OR listener on 0.0.0.0:2323
Nov 20 12:36:34.704 [notice] Opening Directory listener on 0.0.0.0:9023
Nov 20 12:36:34.000 [notice] No AES engine found; using AES_* functions.
Nov 20 12:36:34.000 [notice] This version of OpenSSL has a slow implementation of counter mode; not using it.
Nov 20 12:36:34.000 [notice] OpenSSL OpenSSL 0.9.8o 01 Jun 2010 looks like version 0.9.8m or later; I will try SSL_OP to enable renegotiation
Nov 20 12:36:34.000 [notice] Your Tor server's identity key fingerprint is 'lna23 8644744F908727C42720DB549F3D2BDB4D0B129A'
Nov 20 12:36:34.000 [notice] Configured hibernation.  This interval began at 2012-11-20 00:00:00; the scheduled wake-up time was 2012-11-20 00:00:00; we expect to exhaust our quota for this interval around 2012-11-21 00:00:00; the next interval begins at 2012-11-21 00:00:00 (all times local)
Nov 20 12:36:34.000 [notice] Configured to measure directory request statistics, but no GeoIP database found. Please specify a GeoIP database using the GeoIPFile option.
Nov 20 12:36:35.000 [notice] Reloaded microdescriptor cache.  Found 11048 descriptors.
Nov 20 12:36:36.000 [notice] We now have enough directory information to build circuits.
Nov 20 12:36:36.000 [notice] Bootstrapped 80%: Connecting to the Tor network.
Nov 20 12:36:36.000 [notice] Self-testing indicates your ORPort is reachable from the outside. Excellent. Publishing server descriptor.
Nov 20 12:36:38.000 [notice] Heartbeat: Tor's uptime is 0:00 hours, with 10 circuits open. I've sent 130 kB and received 58 kB.
Nov 20 12:36:38.000 [notice] Bootstrapped 85%: Finishing handshake with first hop.
Nov 20 12:36:38.000 [notice] We weren't able to find support for all of the TLS ciphersuites that we wanted to advertise. This won't hurt security, but it might make your Tor (if run as a client) more easy for censors to block.
Nov 20 12:36:38.000 [notice] To correct this, use a more recent OpenSSL, built without disabling any secure ciphers or features.
Nov 20 12:36:38.000 [warn] Problem bootstrapping. Stuck at 85%: Finishing handshake with first hop. (Network is unreachable; NOROUTE; count 2; recommendation warn)
Nov 20 12:36:38.000 [warn] 1 connections have failed:
Nov 20 12:36:38.000 [warn]  1 connections died in state connect()ing with SSL state (No SSL object)
Nov 20 12:36:39.000 [notice] Bootstrapped 90%: Establishing a Tor circuit.
Nov 20 12:36:40.000 [warn] Problem bootstrapping. Stuck at 90%: Establishing a Tor circuit. (No route to host; NOROUTE; count 5; recommendation warn)
Nov 20 12:36:40.000 [warn] 3 connections have failed:
Nov 20 12:36:40.000 [warn]  3 connections died in state connect()ing with SSL state (No SSL object)
Nov 20 12:36:41.000 [notice] Tor has successfully opened a circuit. Looks like client functionality is working.
Nov 20 12:36:41.000 [notice] Bootstrapped 100%: Done.
Nov 20 12:37:39.000 [notice] Self-testing indicates your DirPort is reachable from the outside. Excellent.
Nov 20 12:37:39.000 [notice] Not advertising DirPort (Reason: AccountingMax enabled)

Child Tickets

Change History (11)

comment:1 Changed 7 years ago by arma

Can you show us your torrc?

Does it happen consistently on startup?

If so, does it still happen after you mv (not rm) your datadir somewhere else?

comment:2 Changed 7 years ago by arma

Keywords: tor-relay added

comment:3 Changed 7 years ago by nickm

Did previous versions of Tor work without these warnings? Which ones?

comment:4 Changed 7 years ago by aagbsn

SocksPort 0 # Default: Bind to localhost:9050 for local connections.
Nickname lna23
AccountingMax 150 GB
AccountingStart day 00:00
DirPort 9023 # what port to advertise for directory connections
MyFamily $E02894BC4F3B8E74CC0182866BC74F044D1C75A9
ExitPolicy reject *:* # no exits allowed
ORPort 2323

After I move the datadir I don't see any warns:

Nov 20 12:46:44.991 [notice] Tor v0.2.3.25 (git-17c24b3118224d65) (with bufferevents) running on Linux.
Nov 20 12:46:44.991 [notice] Tor can't help you if you use it wrong! Learn how to be safe at https://www.torproject.org/download/download#warning
Nov 20 12:46:44.991 [notice] Read configuration file "/home/tor23/torrc".
Nov 20 12:46:44.992 [notice] Your ContactInfo config option is not set. Please consider setting it, so we can contact you if your server is misconfigured or something else goes wrong.
Nov 20 12:46:44.992 [notice] Initialized libevent version 2.0.16-stable using method epoll (with changelist). Good.
Nov 20 12:46:44.992 [notice] Opening OR listener on 0.0.0.0:2323
Nov 20 12:46:44.992 [notice] Opening Directory listener on 0.0.0.0:9023
Nov 20 12:46:44.000 [notice] No AES engine found; using AES_* functions.
Nov 20 12:46:44.000 [notice] This version of OpenSSL has a slow implementation of counter mode; not using it.
Nov 20 12:46:45.000 [notice] OpenSSL OpenSSL 0.9.8o 01 Jun 2010 looks like version 0.9.8m or later; I will try SSL_OP to enable renegotiation
Nov 20 12:46:45.000 [notice] Your Tor server's identity key fingerprint is 'lna23 C8E505EB0C188901944B2892DA26B7EEFD95044A'
Nov 20 12:46:45.000 [notice] Configured hibernation. This interval begins at 2012-10-31 00:00:00 and ends at 2012-10-31 00:00:00. We have no prior estimate for bandwidth, so we will start out awake and hibernate when we exhaust our quota.
Nov 20 12:46:45.000 [notice] Configured hibernation. This interval begins at 2012-11-20 00:00:00 and ends at 2012-11-21 00:00:00. We have no prior estimate for bandwidth, so we will start out awake and hibernate when we exhaust our quota.
Nov 20 12:46:45.000 [notice] Configured to measure directory request statistics, but no GeoIP database found. Please specify a GeoIP database using the GeoIPFile option.
Nov 20 12:46:45.000 [notice] Reloaded microdescriptor cache.  Found 0 descriptors.
Nov 20 12:46:45.000 [notice] I learned some more directory information, but not enough to build a circuit: We have no usable consensus.
Nov 20 12:46:45.000 [notice] Bootstrapped 5%: Connecting to directory server.
Nov 20 12:46:45.000 [notice] Bootstrapped 10%: Finishing handshake with directory server.
Nov 20 12:46:45.000 [notice] We weren't able to find support for all of the TLS ciphersuites that we wanted to advertise. This won't hurt security, but it might make your Tor (if run as a client) more easy for censors to block.
Nov 20 12:46:45.000 [notice] To correct this, use a more recent OpenSSL, built without disabling any secure ciphers or features.
Nov 20 12:46:46.000 [notice] Heartbeat: It seems like we are not in the cached consensus.
Nov 20 12:46:46.000 [notice] Heartbeat: Tor's uptime is 0:00 hours, with 3 circuits open. I've sent 71 kB and received 28 kB.
Nov 20 12:46:46.000 [notice] Bootstrapped 15%: Establishing an encrypted directory connection.
Nov 20 12:46:46.000 [notice] Bootstrapped 20%: Asking for networkstatus consensus.
Nov 20 12:46:46.000 [notice] Bootstrapped 50%: Loading relay descriptors.
Nov 20 12:46:49.000 [notice] I learned some more directory information, but not enough to build a circuit: We have no usable consensus.
Nov 20 12:46:51.000 [notice] I learned some more directory information, but not enough to build a circuit: We have no usable consensus.
Nov 20 12:46:52.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 0/3049 usable descriptors.
Nov 20 12:46:55.000 [notice] We'd like to launch a circuit to handle a connection, but we already have 32 general-purpose client circuits pending. Waiting until some finish.
Nov 20 12:46:57.000 [notice] Bootstrapped 53%: Loading relay descriptors.
Nov 20 12:46:57.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 96/3049 usable descriptors.
Nov 20 12:46:57.000 [notice] Bootstrapped 57%: Loading relay descriptors.
Nov 20 12:46:57.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 192/3049 usable descriptors.
Nov 20 12:46:58.000 [notice] Bootstrapped 60%: Loading relay descriptors.
Nov 20 12:46:58.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 287/3049 usable descriptors.
Nov 20 12:46:58.000 [notice] Bootstrapped 64%: Loading relay descriptors.
Nov 20 12:46:58.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 383/3049 usable descriptors.
Nov 20 12:46:58.000 [notice] Bootstrapped 68%: Loading relay descriptors.
Nov 20 12:46:58.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 479/3049 usable descriptors.
Nov 20 12:46:58.000 [notice] Bootstrapped 71%: Loading relay descriptors.
Nov 20 12:46:58.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 575/3049 usable descriptors.
Nov 20 12:46:58.000 [notice] Bootstrapped 75%: Loading relay descriptors.
Nov 20 12:46:58.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 671/3049 usable descriptors.
Nov 20 12:46:59.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 767/3049 usable descriptors.
Nov 20 12:46:59.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 863/3049 usable descriptors.
Nov 20 12:46:59.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 941/3049 usable descriptors.
Nov 20 12:46:59.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1037/3049 usable descriptors.
Nov 20 12:46:59.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1133/3049 usable descriptors.
Nov 20 12:47:00.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1228/3049 usable descriptors.
Nov 20 12:47:00.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1324/3049 usable descriptors.
Nov 20 12:47:00.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1420/3049 usable descriptors.
Nov 20 12:47:00.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1516/3049 usable descriptors.
Nov 20 12:47:00.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1612/3049 usable descriptors.
Nov 20 12:47:01.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1708/3049 usable descriptors.
Nov 20 12:47:01.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1804/3049 usable descriptors.
Nov 20 12:47:01.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1900/3049 usable descriptors.
Nov 20 12:47:01.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 1996/3049 usable descriptors.
Nov 20 12:47:01.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 2091/3049 usable descriptors.
Nov 20 12:47:02.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 2187/3049 usable descriptors.
Nov 20 12:47:09.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 2219/3049 usable descriptors.
Nov 20 12:47:11.000 [notice] We now have enough directory information to build circuits.
Nov 20 12:47:11.000 [notice] Bootstrapped 80%: Connecting to the Tor network.
Nov 20 12:47:11.000 [notice] Bootstrapped 85%: Finishing handshake with first hop.
Nov 20 12:47:11.000 [notice] Bootstrapped 90%: Establishing a Tor circuit.
Nov 20 12:47:19.000 [notice] Tor has successfully opened a circuit. Looks like client functionality is working.
Nov 20 12:47:19.000 [notice] Bootstrapped 100%: Done.
Nov 20 12:47:19.000 [notice] Now checking whether ORPort 199.229.233.74:2323 and DirPort 199.229.233.74:9023 are reachable... (this may take up to 20 minutes -- look for log messages indicating success)
Nov 20 12:47:39.000 [notice] Self-testing indicates your DirPort is reachable from the outside. Excellent.
Nov 20 12:47:39.000 [notice] Not advertising DirPort (Reason: AccountingMax enabled)
Nov 20 12:48:25.000 [notice] Self-testing indicates your ORPort is reachable from the outside. Excellent. Publishing server descriptor.
Nov 20 12:48:51.000 [notice] Performing bandwidth self-test...done.

Uh, hrm, I'm not sure which version I was running before. I'll dig around and see if I can find out.

comment:5 Changed 7 years ago by arma

Does it happen consistently on startup (with the old datadir)?

comment:6 in reply to:  5 Changed 7 years ago by aagbsn

Replying to arma:

Does it happen consistently on startup (with the old datadir)?

Oddly, switching back to the old datadir did not trigger the warns. (???)

Nov 20 15:24:48.515 [notice] Tor v0.2.3.25 (git-17c24b3118224d65) (with bufferevents) running on Linux.
Nov 20 15:24:48.515 [notice] Tor can't help you if you use it wrong! Learn how to be safe at https://www.torproject.org/download/download#warning
Nov 20 15:24:48.515 [notice] Read configuration file "/home/tor23/torrc".
Nov 20 15:24:48.516 [notice] Your ContactInfo config option is not set. Please consider setting it, so we can contact you if your server is misconfigured or something else goes wrong.
Nov 20 15:24:48.516 [notice] Initialized libevent version 2.0.16-stable using method epoll (with changelist). Good.
Nov 20 15:24:48.516 [notice] Opening OR listener on 0.0.0.0:2323
Nov 20 15:24:48.516 [notice] Opening Directory listener on 0.0.0.0:9023
Nov 20 15:24:48.000 [notice] No AES engine found; using AES_* functions.
Nov 20 15:24:48.000 [notice] This version of OpenSSL has a slow implementation of counter mode; not using it.
Nov 20 15:24:48.000 [notice] OpenSSL OpenSSL 0.9.8o 01 Jun 2010 looks like version 0.9.8m or later; I will try SSL_OP to enable renegotiation
Nov 20 15:24:48.000 [notice] Your Tor server's identity key fingerprint is 'lna23 8644744F908727C42720DB549F3D2BDB4D0B129A'
Nov 20 15:24:48.000 [notice] Configured hibernation.  This interval began at 2012-11-20 00:00:00; the scheduled wake-up time was 2012-11-20 00:00:00; we expect to exhaust our quota for this interval around 2012-11-21 00:00:00; the next interval begins at 2012-11-21 00:00:00 (all times local)
Nov 20 15:24:48.000 [notice] Configured to measure directory request statistics, but no GeoIP database found. Please specify a GeoIP database using the GeoIPFile option.
Nov 20 15:24:48.000 [notice] Reloaded microdescriptor cache.  Found 11048 descriptors.
Nov 20 15:24:49.000 [notice] We now have enough directory information to build circuits.
Nov 20 15:24:49.000 [notice] Bootstrapped 80%: Connecting to the Tor network.
Nov 20 15:24:50.000 [notice] Self-testing indicates your ORPort is reachable from the outside. Excellent. Publishing server descriptor.
Nov 20 15:24:51.000 [notice] Heartbeat: Tor's uptime is 0:00 hours, with 3 circuits open. I've sent 18 kB and received 7 kB.
Nov 20 15:24:51.000 [notice] Bootstrapped 85%: Finishing handshake with first hop.
Nov 20 15:24:51.000 [notice] We weren't able to find support for all of the TLS ciphersuites that we wanted to advertise. This won't hurt security, but it might make your Tor (if run as a client) more easy for censors to block.
Nov 20 15:24:51.000 [notice] To correct this, use a more recent OpenSSL, built without disabling any secure ciphers or features.
Nov 20 15:24:52.000 [notice] Our directory information is no longer up-to-date enough to build circuits: We have only 2057/3080 usable descriptors.
Nov 20 15:24:52.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 2057/3080 usable descriptors.
Nov 20 15:24:53.000 [notice] Bootstrapped 90%: Establishing a Tor circuit.
Nov 20 15:24:53.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 2153/3080 usable descriptors.
Nov 20 15:24:53.000 [notice] I learned some more directory information, but not enough to build a circuit: We have only 2248/3080 usable descriptors.
Nov 20 15:24:54.000 [notice] We now have enough directory information to build circuits.
Nov 20 15:25:02.000 [notice] Tor has successfully opened a circuit. Looks like client functionality is working.
Nov 20 15:25:02.000 [notice] Bootstrapped 100%: Done.

comment:7 Changed 7 years ago by nickm

Milestone: Tor: unspecified

comment:8 Changed 6 years ago by brashley46

Just updated the tor router package to Tor 0.2.4.16 (git-889e9bd529297284) QT 4.8.1 on my Xubuntu 13.04 box, and now the geoip is not connecting. I get
"Sep 05 18:39:12.009 [Warning] Failed to open GEOIP file /srv/build-trees/build-experimental/i686/built/share/tor/geoip. We've been configured to see which countries can access us as a bridge, and we need GEOIP information to tell which countries clients are in."
in the message file.

comment:9 Changed 6 years ago by arma

Where did you get this new package?

comment:10 Changed 6 years ago by arma

(Also, why did you just add your log line to this ticket? It seems unrelated.)

comment:11 Changed 2 years ago by nickm

Resolution: user disappeared
Severity: Normal
Status: newclosed

No responses in 4 years

Note: See TracTickets for help on using tickets.